commit:     db627137af3dae449cf056c5b606deb36dce68fb
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 00:13:12 2021 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Mar 15 13:08:20 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=db627137

lxde-base/lxappearance-obconf: EAPI-7 bump, switch to GTK3

Loads of missing deps.

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../lxappearance-obconf-0.2.3-r1.ebuild            | 49 ++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/lxde-base/lxappearance-obconf/lxappearance-obconf-0.2.3-r1.ebuild 
b/lxde-base/lxappearance-obconf/lxappearance-obconf-0.2.3-r1.ebuild
new file mode 100644
index 00000000000..ab03ab7ac90
--- /dev/null
+++ b/lxde-base/lxappearance-obconf/lxappearance-obconf-0.2.3-r1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="LXAppearance plugin for configuring OpenBox"
+HOMEPAGE="https://lxde.org/";
+SRC_URI="mirror://sourceforge/lxde/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~mips ~ppc ~x86"
+IUSE=""
+
+RDEPEND="
+       dev-libs/atk
+       dev-libs/glib:2
+       dev-libs/libxml2:2
+       gnome-base/librsvg:2
+       >=lxde-base/lxappearance-0.6.3-r2
+       media-libs/fontconfig
+       media-libs/freetype:2
+       media-libs/harfbuzz:=
+       x11-libs/cairo
+       x11-libs/gdk-pixbuf:2
+       x11-libs/gtk+:3
+       x11-libs/libICE
+       x11-libs/libSM
+       x11-libs/libX11
+       x11-libs/libXft
+       x11-libs/pango
+       x11-wm/openbox
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       dev-util/intltool
+       virtual/pkgconfig
+"
+
+src_configure() {
+       econf \
+               --disable-static \
+               --enable-gtk3
+}
+
+src_install() {
+       default
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to